
Katello - Feature #5532

As a user, I should only see entities I have access to within Content Search.

05/01/2014 01:36 PM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Related issues:

Related to Katello - Feature #5217: As a user, I should have CRUD permissions... Closed 04/16/2014

Blocked by Katello - Bug #5526: Content entities (puppet modules, packages, p... Closed 05/01/2014

Associated revisions

Revision fc9a0872 - 05/21/2014 01:31 AM - Eric Helms

Fixes #5532: Wraps content search in Foreman permission system.

Basic ideas of how content search is wrapped in permissions:

If you have :view_products and :view_lifecycle_environments on Library

you can see all the products, repositories, errata, puppet modules and

packages that you have view access on.

If you have :view_content_views and :view_lifecycle_environments you

can see all the content views and subsequent products, repositories,

errata, puppet modules and packages that you have view access on in the

environments that you have view access on. This does not include the

default content view. See the previous comment on how to see the default

content view.

Revision df6841ee - 05/21/2014 10:32 AM - Eric Helms

Merge pull request #4099 from ehelms/fixes-5532

Fixes #5532: Wraps content search and complimentary controller actions i...

History

#1 - 05/01/2014 01:36 PM - Eric Helms

- Related to Feature #5217: As a user, I should have CRUD permissions for all entities that are exposed to me. added

#2 - 05/01/2014 01:37 PM - Eric Helms

- Blocked by Bug #5526: Content entities (puppet modules, packages, package groups, errata) need permission handling in the API. added

#3 - 05/21/2014 10:52 AM - Eric Helms

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:fc9a08728755bee1caf0a2cddcd5b4678ebf5904.

#4 - 08/22/2014 08:22 AM - Eric Helms

- translation missing: en.field_release set to 13
